package cn.com.poc.ai_software_copyright.query;

import java.io.Serializable;
import java.util.List;

/**
 * Query Condition class for SoftwareCopyrightQuery
 */
public class SoftwareCopyrightQueryCondition implements Serializable {

    private static final long serialVersionUID = 1L;


    private java.lang.String query;

    public java.lang.String getQuery() {
        return this.query;
    }

    public void setQuery(java.lang.String query) {
        this.query = query;
    }


    private java.lang.String generatedStatus;


    public java.lang.String getGeneratedStatus() {
        return this.generatedStatus;
    }

    public void setGeneratedStatus(java.lang.String generatedStatus) {
        this.generatedStatus = generatedStatus;
    }

    private List<String> generatedStatusList;

    public List<String> getGeneratedStatusList() {
        return generatedStatusList;
    }

    public void setGeneratedStatusList(List<String> generatedStatusList) {
        this.generatedStatusList = generatedStatusList;
    }
}